aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common/macos/increase_limits.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/common/macos/increase_limits.sh')
-rwxr-xr-xcoin/provisioning/common/macos/increase_limits.sh18
1 files changed, 8 insertions, 10 deletions
diff --git a/coin/provisioning/common/macos/increase_limits.sh b/coin/provisioning/common/macos/increase_limits.sh
index 666d9067..040c55e8 100755
--- a/coin/provisioning/common/macos/increase_limits.sh
+++ b/coin/provisioning/common/macos/increase_limits.sh
@@ -39,22 +39,20 @@
# and they sometimes create problems to the build process and telegraf.
-# Must have this variable set in the environment
-[ x"$PROVISION_DIR" = x ] && exit 38
+set -e
+
+PROVISIONING_DIR="$(dirname "$0")/../../"
+. "$PROVISIONING_DIR"/common/unix/common.sourced.sh
echo "Current limits are:"
ulimit -a
launchctl limit
-sudo cp $PROVISION_DIR/common/macos/limit.maxfiles.plist /Library/LaunchDaemons/
-sudo cp $PROVISION_DIR/common/macos/limit.maxproc.plist /Library/LaunchDaemons/
-
-sudo chown root:wheel /Library/LaunchDaemons/limit.maxfiles.plist
-sudo chown root:wheel /Library/LaunchDaemons/limit.maxproc.plist
-
-sudo chmod 644 /Library/LaunchDaemons/limit.maxfiles.plist
-sudo chmod 644 /Library/LaunchDaemons/limit.maxproc.plist
+$CMD_INSTALL -m 644 -o root -g wheel \
+ $PROVISIONING_DIR/common/macos/limit.maxfiles.plist \
+ $PROVISIONING_DIR/common/macos/limit.maxproc.plist \
+ /Library/LaunchDaemons/
# Activate the new limits immediately (not for the current session though)
sudo launchctl load -w /Library/LaunchDaemons/limit.maxfiles.plist